-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost:3306
-- Tiempo de generación: 02-02-2022 a las 03:13:14
-- Versión del servidor: 5.7.24
-- Versión de PHP: 7.4.19

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `corvequim_sis`
--

DELIMITER $$
--
-- Procedimientos
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `prc_ListarProductos` ()  BEGIN
SELECT '' AS detalles,
	   p.id,
       p.codigo_producto,
       c.id_categoria,
       c.nombre_categoria,
       p.descripcion_producto,
       ROUND(p.precio_compra_producto,2) AS precio_compra,
       ROUND(p.precio_venta_producto,2) AS precio_venta,
       ROUND(p.utilidad,2) AS utilidad,
       
       CASE WHEN c.aplica_peso = 1 THEN concat(p.stock_producto,' kg(s)') ELSE concat(p.stock_producto,' Und(s)') END AS stock,
       CASE WHEN c.aplica_peso = 1 THEN concat(p.minimo_stock_producto,' kg(s)') ELSE concat(p.minimo_stock_producto,' Und(s)') END AS minimo_stock,
       CASE WHEN c.aplica_peso = 1 THEN concat(p.ventas_producto,' kg(s)') ELSE concat(p.ventas_producto,' Und(s)') END AS ventas,
       p.fecha_creacion_producto,
       p.fecha_actualizacion_producto,
       '' AS opciones
       
FROM productos p INNER JOIN categorias c ON p.id_categoria_producto = c.id_categoria ORDER BY p.id DESC;    
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `categorias`
--

CREATE TABLE `categorias` (
  `id_categoria` int(11) NOT NULL,
  `nombre_categoria` text COLLATE utf8mb4_spanish_ci NOT NULL,
  `aplica_peso` int(11) NOT NULL,
  `estado` int(11) NOT NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_spanish_ci;

--
-- Volcado de datos para la tabla `categorias`
--

INSERT INTO `categorias` (`id_categoria`, `nombre_categoria`, `aplica_peso`, `estado`, `fecha`) VALUES
(1, 'Saco 30 kilos', 1, 1, '2022-02-01 19:33:44'),
(2, 'Baritanque 1000 lts', 1, 1, '2022-01-19 19:43:42'),
(3, 'Frasco 500 mls', 0, 1, '2022-02-02 00:10:32');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `formulas`
--

CREATE TABLE `formulas` (
  `id` int(11) NOT NULL,
  `producto` text COLLATE utf8_spanish_ci NOT NULL,
  `descripcion` text COLLATE utf8_spanish_ci NOT NULL,
  `estado` int(11) NOT NULL,
  `fecha` timestamp NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `formulas`
--

INSERT INTO `formulas` (`id`, `producto`, `descripcion`, `estado`, `fecha`) VALUES
(1, 'Jabon Liquido', 'Clase A', 1, '2022-02-02 04:44:29'),
(2, 'Thinner', 'Clase B', 1, '2022-01-25 00:12:04'),
(3, 'Pintura de Caucho', 'Clase A', 0, '2022-01-26 10:53:38');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `productos`
--

CREATE TABLE `productos` (
  `id` int(11) NOT NULL,
  `codigo_producto` bigint(13) NOT NULL,
  `id_categoria_producto` int(11) DEFAULT NULL,
  `descripcion_producto` text COLLATE utf8_spanish_ci,
  `precio_compra_producto` float NOT NULL,
  `precio_venta_producto` float NOT NULL,
  `utilidad` float NOT NULL,
  `stock_producto` float DEFAULT NULL,
  `minimo_stock_producto` float DEFAULT NULL,
  `ventas_producto` float DEFAULT NULL,
  `fecha_creacion_producto` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fecha_actualizacion_producto` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `productos`
--

INSERT INTO `productos` (`id`, `codigo_producto`, `id_categoria_producto`, `descripcion_producto`, `precio_compra_producto`, `precio_venta_producto`, `utilidad`, `stock_producto`, `minimo_stock_producto`, `ventas_producto`, `fecha_creacion_producto`, `fecha_actualizacion_producto`) VALUES
(1, 2020, 2, 'Metanol', 100, 300, 200, 40, 10, 5, '2022-02-01 21:20:06', '2022-02-01');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbl_quimicos`
--

CREATE TABLE `tbl_quimicos` (
  `id_quimico` int(11) NOT NULL,
  `id_formula` int(11) DEFAULT NULL,
  `nombre_quimico` varchar(50) COLLATE utf8mb4_spanish_ci DEFAULT NULL,
  `cantidad` varchar(50) COLLATE utf8mb4_spanish_ci NOT NULL,
  `unidad` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_spanish_ci;

--
-- Volcado de datos para la tabla `tbl_quimicos`
--

INSERT INTO `tbl_quimicos` (`id_quimico`, `id_formula`, `nombre_quimico`, `cantidad`, `unidad`) VALUES
(1, 1, 'Alcohol láurico', '80', 3);

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `categorias`
--
ALTER TABLE `categorias`
  ADD PRIMARY KEY (`id_categoria`);

--
-- Indices de la tabla `formulas`
--
ALTER TABLE `formulas`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `tbl_quimicos`
--
ALTER TABLE `tbl_quimicos`
  ADD PRIMARY KEY (`id_quimico`),
  ADD KEY `FKCOD_ID_CLI_ID` (`id_formula`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `categorias`
--
ALTER TABLE `categorias`
  MODIFY `id_categoria` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT de la tabla `formulas`
--
ALTER TABLE `formulas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT de la tabla `tbl_quimicos`
--
ALTER TABLE `tbl_quimicos`
  MODIFY `id_quimico` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
